Bug 472671 - mc - invalid character value in editdraw.c
mc - invalid character value in editdraw.c
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 05:17 EST by rvcsaba
Modified: 2013-07-02 19:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
editdraw.c patch (497 bytes, patch)
2008-11-23 05:20 EST, rvcsaba
no flags Details | Diff
~/.mc/ini (2.81 KB, text/plain)
2008-11-23 13:18 EST, rvcsaba
no flags Details

  None (edit)
Description rvcsaba 2008-11-23 05:17:27 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc9 Firefox/3.0.4

I recompile mc:

int visible_tabs = 0, visible_tws = 0;

because I use black editor background. If I press TAB, visible " ???????".

Reproducible: Always

Steps to Reproduce:
1. Recompile mc, if change editdraw.c:

int visible_tabs = 0, visible_tws = 0;

2. Install recompiled mc

3. Running mcedit, press TAB.
Actual Results:  
Printed in editor " ???????".

Expected Results:  
Printed in editor "        ".

I make a patch.
Comment 1 rvcsaba 2008-11-23 05:20:37 EST
Created attachment 324424 [details]
editdraw.c patch
Comment 2 rvcsaba 2008-11-23 13:18:00 EST
Created attachment 324439 [details]
~/.mc/ini

See [Colors] section.

visible_tabs, visible_tws configurable from ~/.mc/ini file?
Comment 3 Jindrich Novy 2009-05-27 08:19:57 EDT
Could you please try these packages?

http://koji.fedoraproject.org/koji/taskinfo?taskID=1379365

The tab/trailing spaces highlighting are now configurable also via the editor TUI.

All of the described problems are fixed by the new packages. I'll release update in case of positive feedback.
Comment 4 rvcsaba 2009-05-27 19:44:54 EDT
I downloaded and compiled on Fedora 9 this package: 

http://kojipkgs.fedoraproject.org/packages/mc/4.6.2/11.fc12/src/mc-4.6.2-11.fc12.src.rpm

I switched off "Tab highlighting" and "Whitespace highlighting" checkbox.

I used mcedit, it's work correctly. This package is OK, thank you.

<< Sorry, I don't speak english... :'(   >>
Comment 5 Jindrich Novy 2009-05-28 10:29:33 EDT
Thanks for the feedback, update is coming soon.
Comment 6 Bug Zapper 2009-06-09 23:20:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 10:16:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.